| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
oyValue_u Union Reference
Values Handling

a value More...

`#include <oyOption_s.h>`

Collaboration diagram for oyValue_u:

## Public Member Functions
void | oyValueCopy (oyValue_u *to, oyValue_u *from, oyVALUETYPE_e type, oyAlloc_f allocateFunc, oyDeAlloc_f deallocateFunc)
| copy a oyValue_u union More...
int | oyValueEqual (oyValue_u *a, oyValue_u *b, oyVALUETYPE_e type, int pos)
| compare a oyValue_u union More...
void | oyValueClear (oyValue_u *v, oyVALUETYPE_e type, oyDeAlloc_f deallocateFunc)
| clear a oyValue_u union More...
void | oyValueRelease (oyValue_u **v, oyVALUETYPE_e type, oyDeAlloc_f deallocateFunc)
| release a oyValue_u union More...
const char * | oyValueTypeText (oyVALUETYPE_e type)
| obtain a short string about union type More...

## Data Fields
int32_t * | int32_list
double * | dbl_list
char * | string
char ** | string_list
oyStruct_s * | oy_struct

## Detailed Description

a value

See Also
  oyVALUETYPE_e

Version
  Oyranos: 0.1.8

Since
  2008/02/16 (Oyranos: 0.1.x)

Date
  2008/02/16

## Member Function Documentation

void oyValueClear | ( | oyValue_u * | v,
|  | oyVALUETYPE_e | type,
|  | oyDeAlloc_f | deallocateFunc
| ) |  |

clear a oyValue_u union

Function oyValueClear

Version
  Oyranos: 0.1.8

Since
  2008/06/26 (Oyranos: 0.1.8)

Date
  2008/06/26

References int32_list, oy_struct, oyVAL_DOUBLE, oyVAL_STRUCT, oyStruct_s::release, string, and string_list.

Referenced by oyOption_s::oyOption_SetFromData(), and oyValueRelease().

void oyValueCopy | ( | oyValue_u * | to,
|  | oyValue_u * | from,
|  | oyVALUETYPE_e | type,
|  | oyAlloc_f | allocateFunc,
|  | oyDeAlloc_f | deallocateFunc
| ) |  |

copy a oyValue_u union

Function oyValueCopy

Version
  Oyranos: 0.1.8

Since
  2008/06/26 (Oyranos: 0.1.8)

Date
  2008/06/26

References oyVAL_DOUBLE, and oyVAL_STRUCT.

int oyValueEqual | ( | oyValue_u * | a,
|  | oyValue_u * | b,
|  | oyVALUETYPE_e | type,
|  | int | pos
| ) |  |

compare a oyValue_u union

Function oyValueEqual

Parameters

  a | value a
  b | value b
  type | the value type to comare in a and b
  pos | position in list; -1 compare all return 0 - not equal; 1 - equal

Version
  Oyranos: 0.1.10

Since
  2010/04/11 (Oyranos: 0.1.10)

Date
  2010/04/11

References dbl_list, int32_list, oy_struct, oyBlob_s::oyBlob_GetPointer(), oyOBJECT_BLOB_S, oyOBJECT_POINTER_S, oyVAL_DOUBLE, oyVAL_STRUCT, string, and string_list.

void oyValueRelease | ( | oyValue_u ** | v,
|  | oyVALUETYPE_e | type,
|  | oyDeAlloc_f | deallocateFunc
| ) |  |

release a oyValue_u union

Function oyValueRelease

Version
  Oyranos: 0.1.8

Since
  2008/06/26 (Oyranos: 0.1.8)

Date
  2008/06/26

References oyValueClear().

Referenced by oyOption_s::oyOption_Clear(), and oyOption_s::oyOption_SetFromDouble().

const char * oyValueTypeText | ( | oyVALUETYPE_e | type | ) |

obtain a short string about union type

Function oyValueTypeText

Version
  Oyranos: 0.1.8

Since
  2008/06/26 (Oyranos: 0.1.8)

Date
  2008/06/26

References oyVAL_DOUBLE, and oyVAL_STRUCT.

## Field Documentation

double* oyValue_u::dbl_list

first is element number of dbl list

Referenced by oyValueEqual().

int32_t* oyValue_u::int32_list

first is element number of int32 list

Referenced by oyValueClear(), and oyValueEqual().

oyStruct_s* oyValue_u::oy_struct

a struct, e.g. a profile, or oyBlob_s for a data pointer

Referenced by oyValueClear(), and oyValueEqual().

char* oyValue_u::string

null terminated

Referenced by oyValueClear(), and oyValueEqual().

char** oyValue_u::string_list

null terminated

Referenced by oyValueClear(), and oyValueEqual().